//
//  AppDelegate.h
//  CameraKitDemo
//
//  Created by Kevin on 2015/6/24.
//  Copyright (c) 2015 IPEVO Inc. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@interface AppDelegate : NSObject <NSApplicationDelegate, ICCameraStreamProxyDelegate>

@property (nonatomic, strong) IBOutlet NSArrayController * camerasArrayController;
@property (nonatomic, strong) IBOutlet NSArrayController * formatsArrayController;
@property (nonatomic, strong) IBOutlet NSView * videoContainerView;
@property (weak) IBOutlet NSButton *imageAdjustButton;
@property (weak) IBOutlet NSButton *exposureButton;
@property (weak) IBOutlet NSButton *whitebalanceButton;
@property (weak) IBOutlet NSButton *manualFocusButton;
@property (weak) IBOutlet NSButton *focusButton;
@property (weak) IBOutlet NSPopover *imageAdjustPopover;
@property (weak) IBOutlet NSPopover *exposurePopover;
@property (weak) IBOutlet NSPopover *whitebalancePopover;
@property (weak) IBOutlet NSPopover *manualFocusPopover;
// Image Adjustment
@property (weak) IBOutlet NSSlider *brightnessSlider;
@property (weak) IBOutlet NSSlider *contrastSlider;
@property (weak) IBOutlet NSSlider *gammaSlider;
@property (weak) IBOutlet NSSlider *hueSlider;
@property (weak) IBOutlet NSSlider *saturationSlider;
@property (weak) IBOutlet NSSlider *sharpnessSlider;

// Exposure
@property (weak) IBOutlet NSButton *aeLockButton;
@property (weak) IBOutlet NSSlider *exposureSlider;

// White Balance
@property (weak) IBOutlet NSButton *awbButton;
@property (weak) IBOutlet NSSlider *wbSlider;

// Manual Focus
@property (weak) IBOutlet NSButton *mfButton;
@property (weak) IBOutlet NSSlider *focusSlider;


- (IBAction)openImageAdjustView:(id)sender;
- (IBAction)openExposureView:(id)sender;
- (IBAction)openWhitebalanceView:(id)sender;
- (IBAction)openManualFocusView:(id)sender;

// Image Adjustment
- (IBAction)setBrightness:(id)sender;
- (IBAction)setContrast:(id)sender;
- (IBAction)setGamma:(id)sender;
- (IBAction)setHue:(id)sender;
- (IBAction)setSaturation:(id)sender;
- (IBAction)setSharpness:(id)sender;
- (IBAction)resetImageParametersToDefault:(id)sender;

// Exposure
- (IBAction)toggleAELock:(id)sender;
- (IBAction)setExposure:(id)sender;
- (IBAction)setExposureToDefault:(id)sender;

// White Balance
- (IBAction)toggleAWB:(id)sender;
- (IBAction)setWhitebalance:(id)sender;

// Manual Focus
- (IBAction)toggleAFMF:(id)sender;
- (IBAction)setFocus:(id)sender;

- (IBAction)focus:(id)sender;
@end

