//
//  ICCamerasManager.h
//  IPEVOCameraKit
//
//  Created by Kevin on 13/10/4.
//  Copyright (c) 2013 IPEVO Inc. All rights reserved.
//

#import <CoreFoundation/CoreFoundation.h>

#define ICNotificationCameraAttached @"CameraAttached"
#define ICNotificationCameraDetached @"CameraDetached"

#define ICCamerasManagerNotificationKeyCamera @"camera"

@interface ICCamerasManager : NSObject <NSNetServiceBrowserDelegate> {
}

@property (nonatomic, readonly) NSArray * cameras;
@property (nonatomic, readonly, assign) mach_port_t masterPort;
@property (nonatomic, strong, readonly) NSRunLoop * monitorRunLoop;
@property (nonatomic, strong, readonly) dispatch_queue_t monitorQueue;
@property (nonatomic, assign, readonly) BOOL isMonitoring;

+ (ICCamerasManager *) sharedManager;
- (void) startMonitoring;
@end
