//
//  ICCaptureSession.h
//  IPEVOCameraKit
//
//  Created by Kevin on 2013/11/18.
//  Copyright (c) 2013 IPEVO Inc. All rights reserved.
//

#import <Foundation/Foundation.h>

#define ICNotificationCaptureSessionWillRestart @"CaptureSessionWillRestart"

@protocol ICCaptureSessionDelegate;

@interface ICCaptureSession : NSObject <AVCaptureVideoDataOutputSampleBufferDelegate, NSNetServiceDelegate>
@property (nonatomic, strong, readonly) ICCamera * camera;
@property (nonatomic, unsafe_unretained) id<ICCaptureSessionDelegate> delegate;
@property (nonatomic, assign) BOOL isRunning;
@property (nonatomic, assign) CGFloat fps;

- (ICCaptureSession *) initWithCamera:(ICCamera *) camera;

- (void) startRunning;
- (void) stopRunning;

- (CALayer *) displayLayer;

@end

@protocol ICCaptureSessionDelegate <NSObject>

- (void) captureSession:(ICCaptureSession *) captureSession didCaptureImage:(CIImage *) image withInfo:(NSDictionary *) info;

@end