//
//  ICIPEVOCamera.h
//  IPEVOCameraKit
//
//  Created by Kevin on 2014/5/22.
//  Copyright (c) 2014 IPEVO Inc. All rights reserved.
//

#import "ICUVCCamera.h"

#define ICNotificationIPEVOCameraCommand @"IPEVOHidCommand"

#define ICIPEVOCameraCommandSnapshot                @"Snapshot"                 // Snapshot button on the camera pressed
#define ICIPEVOCameraCommandFocusBegin              @"FocusBegin"               // Camera started focusing
#define ICIPEVOCameraCommandFocusEnd                @"FocusEnd"                 // Camera finished focusing
#define ICIPEVOCameraCommandFocusFailed             @"FocusFailed"              // Can not focus
#define ICIPEVOCameraCommandFocusAgain              @"FocusAgain"               // Focus button on the camera pressed
#define ICIPEVOCameraCommandSetToSingleFocus        @"SetToSingleFocus"         // Switch to single focus
#define ICIPEVOCameraCommandSetToContinuousFocus    @"SetToContinuousFocus"     // Switch to continuous focus
#define ICIPEVOCameraCommandReportExposureValue     @"ReportExposureValue"      // Exposure buttons on the camera pressed
#define ICIPEVOCameraCommandReportAutoExposureValue @"ReportAutoExposureValue"
#define ICIPEVOCameraCommandReportCurrentDevice     @"ReportCurrentDevice"      // Report current device on iZiggi

typedef enum {
    IPEVOCameraAFSubModeUnknown,
    IPEVOCameraAFSubModeSingle,
    IPEVOCameraAFSubModeContinuous
} IPEVOCameraAFSubMode;

typedef enum {
    IPEVOCameraAFStatusUnknown,
    IPEVOCameraAFStatusMoving,
    IPEVOCameraAFStatusFocused,
    IPEVOCameraAFStatusMissed
} IPEVOCameraAFStatus;

@interface ICIPEVOCamera : ICUVCCamera

- (IPEVOCameraAFSubMode) afSubMode;

- (IPEVOCameraAFStatus) afStatus;
@end
